Subject: Re: bug#32536: displayed width of man pages

From: Juri Linkov <[email-masked]>
Date: Sun, 25 Nov 2018 22:42:02 +0200

> I reported this in bug#32637, please see there.

Thanks to Martin, a request in bug#32637 is now implemented and closed.

But still this bug#32536 can't be closed because I found an insolvable
problem: 'M-x occur' is impossible to use on automatically resized
Man-mode buffers: after running 'M-x occur' in a Man buffer, it splits
the wide frame horizontally, that changes the width of the Man buffer,
that causes window-size-change-functions to run, that starts a new
Man process to reformat the Man buffer according to the new width of the
Man buffer.  After that, typing RET on all matching lines in the Occur buffer
will jump to the beginning of the Man buffer, because reformatting invalidates
all markers that point from lines in the Occur buffer to lines in the
Man buffer, i.e. typing 'C-u C-x =' on all lines in the Occur buffer
displays the same:

  There are text properties here:
    occur-target         #<marker at 1 in *Man bash*>